commit fbc5751fafe97df9e88217ec4c8eae4b25523d8f
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Jul 16 00:23:24 2024 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 65eeec81b0f..3636cf488a5 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2024-07-15  liuhongt  <hongtao.liu@intel.com>
+
+	Backported from master:
+	2024-07-15  liuhongt  <hongtao.liu@intel.com>
+
+	PR target/115872
+	* tree-ssa-ccp.cc (convert_atomic_bit_not): Remove use_stmt after use_nop_stmt is removed.
+	(optimize_atomic_bit_test_and): Ditto.
+
 2024-07-11  Andre Vieira  <andre.simoesdiasvieira@arm.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 5e0ee8afc37..e63e19096bc 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20240715
+20240716
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 36a83377824..223909bb58e 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,10 @@
+2024-07-15  liuhongt  <hongtao.liu@intel.com>
+
+	Backported from master:
+	2024-07-15  liuhongt  <hongtao.liu@intel.com>
+
+	* gcc.target/i386/pr115872.c: New test.
+
 2024-07-11  Andre Vieira  <andre.simoesdiasvieira@arm.com>
 
 	Backported from master:

